clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Static Public Member Functions | List of all members
clang::query::QueryParser Class Reference

`#include <QueryParser.h>`

## Classes
struct | LexOrCompleteWord

## Static Public Member Functions
static QueryRef | parse (StringRef Line, const QuerySession &QS)
| Parse Line as a query. More...
static std::vector < llvm::LineEditor::Completion > | complete (StringRef Line, size_t Pos, const QuerySession &QS)
| Compute a list of completions for Line assuming a cursor at. More...

## Detailed Description

Definition at line 23 of file QueryParser.h.

## Member Function Documentation

std::vector< LineEditor::Completion > clang::query::QueryParser::complete | ( | StringRef | Line,
|  | size_t | Pos,
|  | const QuerySession & | QS
| ) |  |
| static

Compute a list of completions for Line assuming a cursor at.

Parameters

  Pos | characters past the start of Line, ordered from most likely to least likely.

Returns
  A vector of completions for Line.

Definition at line 277 of file QueryParser.cpp.

QueryRef clang::query::QueryParser::parse | ( | StringRef | Line,
|  | const QuerySession & | QS
| ) |  |
| static

Parse Line as a query.

Returns
  A QueryRef representing the query, which may be an InvalidQuery.

Definition at line 272 of file QueryParser.cpp.

The documentation for this class was generated from the following files:

- QueryParser.h
- QueryParser.cpp